From ef0473a6287842cb267d49a4cf5a8970c7749d36 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 01 2020 05:44:55 +0000
Subject: [PATCH 1134/2232] Clean up redundant child_ns_entries borrows


NamespaceEntries::children returns an iterator of (&Ident, &NamespaceEntries)
so these child_ns_entries are already borrows.

---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 4549c21..6ee6ad7 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -62,7 +62,7 @@ fn gen_namespace_forward_declarations(out: &mut OutFile, ns_entries: &NamespaceE
 
     for (child_ns, child_ns_entries) in ns_entries.children() {
         writeln!(out, "namespace {} {{", child_ns);
-        gen_namespace_forward_declarations(out, &child_ns_entries);
+        gen_namespace_forward_declarations(out, child_ns_entries);
         writeln!(out, "}} // namespace {}", child_ns);
     }
 }
@@ -143,7 +143,7 @@ fn gen_namespace_contents(out: &mut OutFile, ns_entries: &NamespaceEntries, opt:
 
     for (child_ns, child_ns_entries) in ns_entries.children() {
         writeln!(out, "namespace {} {{", child_ns);
-        gen_namespace_contents(out, &child_ns_entries, opt);
+        gen_namespace_contents(out, child_ns_entries, opt);
         writeln!(out, "}} // namespace {}", child_ns);
     }
 }

